name: submanager
description: A new Flutter project.
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  provider: ^6.1.1
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  flutter_local_notifications: ^19.4.2
  flutter_secure_storage: ^10.0.0-beta.4
  local_auth: ^2.1.6
  fl_chart: ^1.1.1
  http: ^1.4.0
  qr_flutter: ^4.1.0
  url_launcher: ^6.2.4
  intl: ^0.20.2
  permission_handler: ^12.0.1
  uuid: ^4.2.1
  timezone: ^0.10.1
  flutter_localizations:
    sdk: flutter
  share_plus: ^12.0.0
  font_awesome_flutter: ^10.7.0
  cached_network_image: ^3.3.1
  flutter_cache_manager: ^3.3.1
  shared_preferences: ^2.5.3
  flutter_launcher_icons: ^0.14.4
  flutter_native_splash: ^2.3.10
  flutter_sms_inbox: ^1.0.3
  flutter_dotenv: ^6.0.0
  flutter_svg: ^2.1.0
  html: ^0.15.6
  octo_image: ^2.0.0
  path_provider: ^2.1.5
  crypto: ^3.0.6
  image: ^4.5.4
  google_mobile_ads: ^6.0.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  build_runner: ^2.4.6
  hive_generator: ^2.0.1

flutter:
  uses-material-design: true
  
  assets:
    - assets/data/
    - assets/appicon/

flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/appicon/appicon.png"
  min_sdk_android: 21
  # Android Adaptive Icon 설정
  adaptive_icon_background: "#4A90E2"
  adaptive_icon_foreground: "assets/appicon/appicon.png"
  # iOS 설정
  remove_alpha_ios: true
